Gentoo Forums
Gentoo Forums
Gentoo Forums
Quick Search: in
Problème "imagettftext" indéfini
View unanswered posts
View posts from last 24 hours

 
Reply to topic    Gentoo Forums Forum Index French
View previous topic :: View next topic  
Author Message
DarkScytale
n00b
n00b


Joined: 06 Oct 2009
Posts: 9

PostPosted: Tue Sep 06, 2011 5:58 pm    Post subject: Problème "imagettftext" indéfini Reply with quote

Bonsoir,

J'ai un serveur qui tourne sous gentoo depuis près d'un an et j'ai besoin d'une fonction qui ne semble pas exister dans ma version compilée "imagettftext".

Après m'être documenté il semble que cela provienne de gd ainsi que de la lib freetype.

Grace a ufed j'ai positionné "gd" et relancé naivement la compilation (avec emerge) de
gd
freetype
apache
-> Jusque là la compilation est ok mais sans modification du résultat (la fonction est toujours inexistante).

Je tente de compiler php et la j'obtiens:

Code:
Calculating dependencies... done!
[ebuild     U ] dev-libs/libpcre-8.12 [7.9-r1] USE="recursion-limit%*"
[ebuild  N    ] virtual/mta-0
[ebuild  N    ] virtual/imap-c-client-1  USE="ssl"
[ebuild  NS   ] dev-lang/php-5.3.6 [5.2.13] USE="apache2 berkdb bzip2 cgi cli crypt ctype curl curlwrappers fileinfo filter ftp gd gdbm hash iconv ima ipv6 json mysql nls phar posix readline session simplexml soap ssl tokenizer truetype unicode xml xsl zlib (-adabas) -bcmath (-birdstep) -calendar -cb -cjk -db2 (-dbmaker) -debug -doc -embed (-empress) (-empress-bcs) -enchant (-esoob) -exif -firebird -flatfile -fpm (-frontbase) -gd-external -gmp -iifile -interbase -intl -iodbc -kerberos -kolab -ldap -ldap-sasl -libedit -mhash -mssql -mysqli -mysqlnd -oci8 -oci8-instant-client -odbc -pcntl -pdo -ic -postgres -qdbm -recode -sapdb -sharedext -sharedmem -snmp -sockets (-solid) -spell -sqlite -sqlite3 (-sybase-ct) -sysvipc -threads -tidy -wddx -xmreader -xmlrpc -xmlwriter -xpm -zip"
[uninstall    ] dev-lang/php-5.2.13
[blocks b     ] dev-lang/php:5 ("dev-lang/php:5" is blocking dev-lang/php-5.3.6)
[blocks B     ] net-libs/c-client ("virtual/imap-c-client" is blocking net-libs/c-client-2007e)
[blocks B     ] mail-mta/netqmail ("virtual/mta" is blocking mail-mta/netqmail-1.06)

 * Error: The above package list contains packages which cannot be
 * installed at the same time on the same system.

  ('ebuild', '/', 'virtual/imap-c-client-1', 'merge') pulled in by
    =virtual/imap-c-client-1 required by ('ebuild', '/', 'dev-lang/php-5.3.6', 'merge')
    =virtual/imap-c-client-1[ssl] required by ('ebuild', '/', 'dev-lang/php-5.3.6', 'merge')

  ('ebuild', '/', 'virtual/mta-0', 'merge') pulled in by
    =virtual/mta-0 required by ('ebuild', '/', 'dev-lang/php-5.3.6', 'merge')


For more information about Blocked Packages, please refer to the following
section of the Gentoo Linux x86 Handbook (architecture is irrelevant):

http://www.gentoo.org/doc/en/handbook/handbook-x86.xml?full=1#blocked


Je comprend que j'ai deux éléments bloquants (net-libs/c-client et mail-mta/netqmail) mais malheureusement je les utilise pour mon serveur de mail.

Comment puis-je m'en sortir ?

Merci de votre aide

Sébastien
Back to top
View user's profile Send private message
netfab
Veteran
Veteran


Joined: 03 Mar 2005
Posts: 1677
Location: 127.0.0.1

PostPosted: Tue Sep 06, 2011 6:16 pm    Post subject: Reply with quote

Ton système est t'il à jour ? Chez moi, sur un système stable, si j'essaie d'installer php, c'est la version 5.3.8 qui m'est proposée.
Si ton système te propose la 5.3.6, j'en déduis qu'il n'est pas à jour, et donc que les paquets virtuels ne le sont pas non plus.
Commence par mettre à jour ton système, il y a des chances que ces blocages disparaissent.
Back to top
View user's profile Send private message
guilc
Bodhisattva
Bodhisattva


Joined: 15 Nov 2003
Posts: 3326
Location: Paris - France

PostPosted: Tue Sep 06, 2011 7:47 pm    Post subject: Reply with quote

Toutafé :)
d'autant plus que netqmail fournit le virtual mta, donc un simple emerge --sync devrait résoudre le blocage !

Et n'oublie pas de mettre ton titre du topic en conformité avec les conventions de notre forum s'il te plait ? Merci :)
_________________
Merci de respecter les règles du forum.

Mon site perso : https://www.xwing.info
Mon PORTDIR_OVERLAY : https://gentoo.xwing.info ou layman -a xwing
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7942
Location: ~Brussels - Belgique

PostPosted: Tue Sep 06, 2011 8:09 pm    Post subject: Reply with quote

Ce serveur, ce n'est quand même pas un OVH ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
DarkScytale
n00b
n00b


Joined: 06 Oct 2009
Posts: 9

PostPosted: Wed Sep 07, 2011 5:02 pm    Post subject: Reply with quote

Bonsoir,

j'avais effectivement pensé à faire un emerge --sync mais ce la n'a strictement aucun effet sur le emerge php (je viens de ré-essayer maintenant pour être certain).

Et pour répondre à Xavier, oui c'est un serveur hébergé chez OVH.

Sébastien.
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7942
Location: ~Brussels - Belgique

PostPosted: Wed Sep 07, 2011 7:40 pm    Post subject: Reply with quote

Est-ce la config d'OVH (toute pourrie) ou une vraie Gentoo ?
_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
DarkScytale
n00b
n00b


Joined: 06 Oct 2009
Posts: 9

PostPosted: Thu Sep 08, 2011 5:37 am    Post subject: Reply with quote

Non c'est une gentoo tout ce qu'il y a de plus "normale" :)
Back to top
View user's profile Send private message
xaviermiller
Administrator
Administrator


Joined: 23 Jul 2004
Posts: 7942
Location: ~Brussels - Belgique

PostPosted: Thu Sep 08, 2011 5:44 am    Post subject: Reply with quote

Ouf, voilà un problème déjà en moins ;)

Donc, comme dit précédemment : un ebuild a besoin d'un autre ebuild lors de l'exécution, mais cette dépendance n'a pas été mentionnée. Il te faudra donc trouver le paquet PHP possédant cette fonction et l'intégrer dans ton système.

Mais au préalable, rafraîchis ton système :
Code:
emerge --sync
emerge -DuNav --with-bdeps y world
dispatch-conf

_________________
Kind regards,
Xavier Miller
Back to top
View user's profile Send private message
Display posts from previous:   
Reply to topic    Gentoo Forums Forum Index French All times are GMT
Page 1 of 1

 
Jump to:  
You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum